org.apache.lucene.luke.app.desktop.components.fragments.search

## Interface SortTabOperator

- All Superinterfaces:
    ComponentOperatorRegistry.ComponentOperator
  All Known Implementing Classes:
    SortPaneProvider

      public interface SortTabOperator
      extends ComponentOperatorRegistry.ComponentOperator

  Operator for the Sort tab

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Sort` | `getSort()`
    `void` | `setSearchModel(Search model)`
    `void` | `setSortableFields(Collection<String> sortableFields)`

- - ### Method Detail

    - #### setSearchModel

          void setSearchModel(Search model)

    - #### setSortableFields

          void setSortableFields(Collection<String> sortableFields)

    - #### getSort

          Sort getSort()

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.